summaryrefslogtreecommitdiffstats
path: root/tdeunittest/tdeunittest
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-01-26 13:17:59 -0600
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-01-26 13:17:59 -0600
commit1515a4f2eb9cf023ed7f9c2e10106b5e93164a08 (patch)
treed5617734090b254659ff331ce7d1e574c4807caf /tdeunittest/tdeunittest
parentf8069e2ea048f2657cc417d83820576ec55c181b (diff)
downloadtdesdk-1515a4f2eb9cf023ed7f9c2e10106b5e93164a08.tar.gz
tdesdk-1515a4f2eb9cf023ed7f9c2e10106b5e93164a08.zip
Rename a number of libraries and executables to avoid conflicts with KDE4
Diffstat (limited to 'tdeunittest/tdeunittest')
-rwxr-xr-xtdeunittest/tdeunittest19
1 files changed, 19 insertions, 0 deletions
diff --git a/tdeunittest/tdeunittest b/tdeunittest/tdeunittest
new file mode 100755
index 00000000..c56f6c3a
--- /dev/null
+++ b/tdeunittest/tdeunittest
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+export APP=$1
+export DCOPNAME=$2
+
+if [ ! -x $APP ]
+then
+ kdialog --error "Sorry, $APP is not a valid executable file."
+ exit 1;
+fi
+
+DEBUGHELPER=`which tdeunittest_debughelper`
+if [ -z $DEBUGHELPER ]
+then
+ kdialog --error "Sorry, couldn't find the tdeunittest_debughelper script."
+ exit 3
+fi
+
+$APP 2>&1 | perl $DEBUGHELPER "$DCOPNAME-*"